Re: You do not have permission to create webhooks with orders\/create topic

Solved

You do not have permission to create webhooks with orders\/create topic

JuiceN2
Tourist
4 0 5

Hey,

 

I am in a strange situation. I am developing Shopify App (Laravel backend) (which is installed on my test store).

I want to register "order/create" webhook, but I keep getting this error:

REST request failed: \"You do not have permission to create webhooks with orders\/create topic. This topic contains protected customer data. See https:\/\/partners.shopify.com\/2491170\/apps\/24686460929\/customer_data for more details.

I have the scopes defined in:

shopify.app.toml

Screenshot 2023-01-26 at 06.47.42.png

 

 

Does anyone have an idea why this error keeps showing up? 🙂

 

Best regards, Jan

Accepted Solution (1)
polaris_app_guy
Shopify Partner
4 1 1

This is an accepted solution.

You should be concerned if it doesn’t make sense to you because you are working with privileged data and you will have access to personal identifiable information from many customers.

 


All you need to do is go into the form and say “yes” to everything and this includes for development. You can get around this by using a lesser version of the API like ‘2022-07’ where the form is not needed.

 

However, if you use ‘2022-07’ then your app won’t pass a review because all new apps need to use api version ‘2022-10’ or above.

 

~Polaris App Guy

View solution in original post

Replies 4 (4)

polaris_app_guy
Shopify Partner
4 1 1

The error message tells you what url you need to go too and submit a data protection form if you want to use orders webhooks.

 

Try reading your error message again.

 

~Polaris App Guy

JuiceN2
Tourist
4 0 5

Hey,

 

Thank you for your answer. I understand the error message (and already submitted the request for access) but it doesn't make any sense to me.
Am I even gonna be able to pass the review since the App is still in development (meaning - it has no TOS, privacy policy, etc)?

The fact that doesn't make sense to: Why is this special access required in my case - trying to run webhooks on my development testing store which is protected with password (created on the same account as App).

 

Jan

polaris_app_guy
Shopify Partner
4 1 1

This is an accepted solution.

You should be concerned if it doesn’t make sense to you because you are working with privileged data and you will have access to personal identifiable information from many customers.

 


All you need to do is go into the form and say “yes” to everything and this includes for development. You can get around this by using a lesser version of the API like ‘2022-07’ where the form is not needed.

 

However, if you use ‘2022-07’ then your app won’t pass a review because all new apps need to use api version ‘2022-10’ or above.

 

~Polaris App Guy

techlur_sourav
Shopify Partner
2 0 0

Hello i am also getting the same error i am using 2022-10 API version and i have filled that form as well but still i am getting same error even in development store do you have any idea?